org.eclipse.wst.jsdt.core.search

## Class TypeNameMatchRequestor

- java.lang.Object
- - org.eclipse.wst.jsdt.core.search.TypeNameMatchRequestor

    public abstract class TypeNameMatchRequestor
    extends java.lang.Object

A `TypeNameMatchRequestor` collects matches from a `searchAllTypeNames` query to a `SearchEngine`. Clients must subclass this abstract class and pass an instance to the `SearchEngine#searchAllTypeNames( char[] packageName, int packageMatchRule, char[] typeName, int typeMatchRule, int searchFor, IJavaScriptSearchScope scope, TypeNameMatchRequestor nameMatchRequestor, int waitingPolicy, org.eclipse.core.runtime.IProgressMonitor monitor)` method. Only top-level and member types are reported. Local types are not reported.

While `TypeNameRequestor` only reports type names information (e.g. package, enclosing types, simple name, modifiers, etc.), this class reports `TypeNameMatch` objects instead, which store this information and can return an `IType` handle.

This class may be subclassed by clients.

See Also:
  `TypeNameMatch`, `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Constructor Summary

Constructors
Constructor and Description
`TypeNameMatchRequestor()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `acceptTypeNameMatch(TypeNameMatch match)` Accepts a type name match (`TypeNameMatch`) which contains top-level or a member type information as package name, enclosing types names, simple type name, modifiers, etc.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeNameMatchRequestor

    public TypeNameMatchRequestor()

### Method Detail

#### acceptTypeNameMatch

    public abstract void acceptTypeNameMatch(TypeNameMatch match)

Accepts a type name match (`TypeNameMatch`) which contains top-level or a member type information as package name, enclosing types names, simple type name, modifiers, etc.

Parameters:
  `match` - the match which contains all type information